package de.iai.ilcd.webgui.controller.admin;

import javax.faces.application.Resource;
import javax.faces.application.ResourceHandler;
import javax.faces.application.ResourceHandlerWrapper;
import javax.faces.context.FacesContext;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * Handler for the data export downloads
 */
public class DataExportResourceHandler extends ResourceHandlerWrapper {

	public static Logger logger = LoggerFactory.getLogger(DataExportResourceHandler.class);

	/**
	 * Name of the resource library
	 */
	public final static String LIBRARY_NAME = "dataexport";

	/**
	 * Wrapped handler instance
	 */
	private ResourceHandler wrappedHandler;

	/**
	 * Create the handler instance
	 * 
	 * @param wrapped
	 *            wrapped handler
	 */
	public DataExportResourceHandler(ResourceHandler wrapped) {
		this.wrappedHandler = wrapped;
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public Resource createResource(String resourceName, String libraryName) {
		if (DataExportResourceHandler.LIBRARY_NAME.equals(libraryName)) {
			if (DataExportResource.RESOURCE_NAME.equals(resourceName)) {
				return new DataExportResource();
			} else {
				return this.wrappedHandler.createResource(resourceName, libraryName);
			}
		} else {
			return this.wrappedHandler.createResource(resourceName, libraryName);
		}
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public boolean isResourceRequest(FacesContext context) {
		return super.isResourceRequest(context);
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public boolean libraryExists(String libraryName) {
		if (DataExportResourceHandler.LIBRARY_NAME.equals(libraryName)) {
			return true;
		}
		return super.libraryExists(libraryName);
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public ResourceHandler getWrapped() {
		return this.wrappedHandler;
	}

}