/*******************************************************************************
 * Copyright (c) 2011 Karlsruhe Institute of Technology (KIT) - Institute for 
 * Applied Computer Science (IAI). 
 * 
 * This file is part of soda4LCA - the Service-Oriented Life Cycle Data Store.
 * 
 * soda4LCA is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by the 
 * Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * soda4LCA is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with soda4LCA.  If not, see <http://www.gnu.org/licenses/>.
 ******************************************************************************/


package de.iai.ilcd.webgui.controller.admin;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

import javax.faces.application.FacesMessage;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.RequestScoped;
import javax.faces.context.FacesContext;

import de.iai.ilcd.model.dao.UserGroupDao;
import de.iai.ilcd.model.security.UserGroup;

/**
 * 
 * @author clemens.duepmeier
 */
@ManagedBean
@RequestScoped
public class GroupListHandler implements Serializable {
	private List<GuiListManagerItem<UserGroup>> groupItems = new ArrayList<GuiListManagerItem<UserGroup>>();;

	private UserGroupDao dao = new UserGroupDao();

	public GroupListHandler() {

	}

	public List<GuiListManagerItem<UserGroup>> getGroupItems() {

		List<UserGroup> groups = dao.getGroups();
		GuiListManagerUtils<UserGroup> listUtils = new GuiListManagerUtils<UserGroup>();

		groupItems = listUtils.createGuiItemList(groups);
		return groupItems;
	}

	public void deleteSelected() {

		List<GuiListManagerItem<UserGroup>> removeList = new ArrayList<GuiListManagerItem<UserGroup>>();

		for (GuiListManagerItem<UserGroup> groupItem : groupItems) {
			if (groupItem.isShouldBeDeleted()) {
				UserGroup group = groupItem.getItem();
				group.removeAllUser();
				dao.remove(group);
				removeList.add(groupItem);
				FacesMessage facesMsg = new FacesMessage(FacesMessage.SEVERITY_INFO, "Removed "
						+ groupItem.getItem().getGroupName() + "\n", "");
				FacesContext.getCurrentInstance().addMessage("errorInfo", facesMsg);
			}
		}
		for (GuiListManagerItem<UserGroup> rDesc : removeList)
			groupItems.remove(rDesc);
	}
}
