/*******************************************************************************
 * Copyright (c) 2011 Karlsruhe Institute of Technology (KIT) - Institute for 
 * Applied Computer Science (IAI). 
 * 
 * This file is part of soda4LCA - the Service-Oriented Life Cycle Data Store.
 * 
 * soda4LCA is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by the 
 * Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * soda4LCA is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with soda4LCA.  If not, see <http://www.gnu.org/licenses/>.
 ******************************************************************************/


package de.iai.ilcd.webgui.controller.admin;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

import org.apache.velocity.tools.generic.ValueParser;
import org.primefaces.model.LazyDataModel;

import de.iai.ilcd.model.dao.ProcessDao;
import de.iai.ilcd.model.process.Process;

/**
 * 
 * @author clemens.duepmeier
 */
public class ProcessTableModel extends LazyDataModel<GuiListManagerItem<Process>> {

	private ValueParser searchParams = new ValueParser();

	private String sortCriterium = "";

	public ProcessTableModel(int numberOfProcesses) {
		// this.setRowCount(numberOfProcesses);
	}

	public ProcessTableModel(ValueParser searchParams, int countOfSearchResults) {

		// super(countOfSearchResults);
		// this.setRowCount(countOfSearchResults);
		this.searchParams = searchParams;
	}

	// @Override
	// public List<GuiListManagerItem<Process>> fetchLazyData(int first, int pageSize) {
	// ProcessDao dao = new ProcessDao();
	//
	// List<Process> processes=dao.lsearch(searchParams, first, pageSize, sortCriterium);
	//
	// List<GuiListManagerItem<Process>> items = new ArrayList<GuiListManagerItem<Process>>();
	// for (Process process : processes) {
	// GuiListManagerItem<Process> item = new GuiListManagerItem<Process>(process);
	// items.add(item);
	// }
	//
	// return items;
	//
	// }

	@Override
	public List<GuiListManagerItem<Process>> load(int first, int pageSize, String sortField, boolean sortOrder,
			Map<String, String> filters) {

		ProcessDao dao = new ProcessDao();
		List<Process> processes = dao.lsearch(searchParams, first, pageSize, "", false);

		List<GuiListManagerItem<Process>> items = new ArrayList<GuiListManagerItem<Process>>();
		for (Process process : processes) {
			GuiListManagerItem<Process> item = new GuiListManagerItem<Process>(process);
			items.add(item);
		}

		return items;
	}

}
